in_app_purchase_storekit

The iOS and macOS implementation of in_app_purchase.

Usage

This package has been endorsed, meaning that you only need to add in_app_purchase as a dependency in your pubspec.yaml. This package will be automatically included in your app when you do.

If you wish to use this package only, you can add in_app_purchase_storekit directly.

Contributing

This plugin uses json_serializable for the many data structs passed between the underlying platform layers and Dart. After editing any of the serialized data structs, rebuild the serializers by running flutter packages pub run build_runner build --delete-conflicting-outputs. flutter packages pub run build_runner watch --delete-conflicting-outputs will watch the filesystem for changes.

If you would like to contribute to the plugin, check out our contribution guide.

Libraries

in_app_purchase_storekit
store_kit_wrappers